<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?>

	<?php
/**
 *
 * @package Luzuk Premium
 */
?>


		<?php 
			if( get_theme_mod('footer_toppadding',true) ) {
                $footersection_toppadding = 'padding-top:'.esc_attr(get_theme_mod('footersection_toppadding')).';';
            }
            if( get_theme_mod('footersection_bottompadding',true) ) {
                $footersection_bottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('footersection_bottompadding')).';';
            }
            if( get_theme_mod('footersection_leftpadding',true) ) {
                $footersection_leftpadding = 'padding-left:'.esc_attr(get_theme_mod('footersection_leftpadding')).';';
            }
            if( get_theme_mod('footersection_rightpadding',true) ) {
                $footersection_rightpadding = 'padding-right:'.esc_attr(get_theme_mod('footersection_rightpadding')).';';
            }
	?>


<div class="newsfootersec" style="<?php echo esc_attr($footersection_toppadding); ?>" "<?php echo esc_attr($footersection_bottompadding); ?>" "<?php echo esc_attr($footersection_leftpadding); ?>" "<?php echo esc_attr($footersection_rightpadding); ?>">
<?php
if(get_theme_mod('newslatter_section_disable') != 'on' ){ ?> 
	<section id="ht-newslatter-section" class="ht-section"> 
		<div class="container">
		<div class=" wow fadeInUp" data-wow-duration="1s">
			<?php
			$lz_newslatter_page_id = get_theme_mod('lz_newslatter_page');
			$lz_newslatter_title = get_theme_mod('lz_newslatter_title', 'Newsletter <span>Form</span>');
			?>
			<?php 
			if( get_theme_mod('newslettersection_toppadding',true) ) {
                $newslettersection_toppadding = 'padding-top:'.esc_attr(get_theme_mod('newslettersection_toppadding')).';';
            }
            if( get_theme_mod('newslettersection_bottompadding',true) ) {
                $newslettersection_bottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('newslettersection_bottompadding')).';';
            }
            if( get_theme_mod('newslettersection_leftpadding',true) ) {
                $newslettersection_leftpadding = 'padding-left:'.esc_attr(get_theme_mod('newslettersection_leftpadding')).';';
            }
            if( get_theme_mod('newslettersection_rightpadding',true) ) {
                $newslettersection_rightpadding = 'padding-right:'.esc_attr(get_theme_mod('newslettersection_rightpadding')).';';
            }
	?>

			<div class="newslettersign-box wow fadeInRight" style="<?php echo esc_attr($newslettersection_toppadding); ?>" "<?php echo esc_attr($newslettersection_bottompadding); ?>" "<?php echo esc_attr($newslettersection_leftpadding); ?>" "<?php echo esc_attr($newslettersection_rightpadding); ?>">

				<div class="wow fadeInRight">
					<div class="col-md-3 newsborder">
							<?php if($lz_newslatter_title){ ?>
							<h2 class="lz-newslatter-heading">
								<?php echo ($lz_newslatter_title); ?></h2>
							<?php } ?> 
							<div class="clearfix"></div>
					</div>
					<div class="col-md-9">
						<?php
							$lz_newslatter_shortcode = get_theme_mod('lz_newslatter_shortcode', '[Add Form shortcode]');
						?>				
						<div class="ht-newslatter-member-wrap">
							<div class="box-form">										
								<?php echo do_shortcode($lz_newslatter_shortcode);?>
							</div>
						</div>
					</div>


				</div>			
				<div class="clearfix"></div> 
			</div>
		</div>
	</div>	
	</section>
<?php }
?>

	<footer id="ht-colophon" class="ht-site-footer">
		<div class="overlay">
		<?php if(is_active_sidebar('lz-fitness-footer1') || is_active_sidebar('lz-fitness-footer2') || is_active_sidebar('lz-fitness-footer3') || is_active_sidebar('lz-fitness-footer4')){ ?>	
		<div id="ht-top-footer">
			<div class="container">
				<div class="ht-top-footer ht-clearfix">
					<div class="ht-footer ht-footer1 wow fadeInLeft">
						<?php if(is_active_sidebar('lz-fitness-footer1')): 
							dynamic_sidebar('lz-fitness-footer1');
						endif;
						?>	
					</div>

					<div class="ht-footer ht-footer2 wow fadeInLeft">
						<?php if(is_active_sidebar('lz-fitness-footer2')): 
							dynamic_sidebar('lz-fitness-footer2');
						endif;
						?>	
					</div>

					<div class="ht-footer ht-footer3 wow fadeInRight">
						<?php if(is_active_sidebar('lz-fitness-footer3')): 
							dynamic_sidebar('lz-fitness-footer3');
						endif;
						?>	
					</div>

					<div class="ht-footer ht-footer4 wow fadeInRight">
						<?php if(is_active_sidebar('lz-fitness-footer4')): 
							dynamic_sidebar('lz-fitness-footer4');
						endif;
						?>	
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
		<?php } ?>

		<div id="ht-bottom-footer">
			<div class="container">
				<div class="footerborder"></div>
					<?php 
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
					<?php if($footercopyright){ ?>
						<div class="ht-site-info">
						<!-- 	<?php //lz_fitness_lite_copyrights_credit();?> -->
							<span><?php echo $footercopyright;?></span>
						</div><!-- #site-info -->
					<?php } ?>

			</div>
		</div>
	</div>
	</footer><!-- #colophon -->
</div>

	<script type="text/javascript">
		if(jQuery(window).width() >= 1170){
		  new WOW().init();
		}
	</script>
<?php wp_footer(); ?>
</body>
</html>
