<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link href="https://fonts.googleapis.com/css?family=Lora:400,400i,700,700i&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,800|Poppins:600,800" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:300,300i,400,400i,700,700i&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Raleway:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i|Roboto&display=swap" rel="stylesheet">
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="overlay"></div>
    <div class="main-container">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'Luzuk Premium' ); ?></a>
		<header id="ht-masthead" class="ht-site-header">
			<div class="main-header">
					<div class="row upper-header">	
						<div class="container">
							<div class="col-md-6 header-top-theme">
									<?php
										$facebook = get_theme_mod('header_fb', '//facebook.com/');
										$twitter = get_theme_mod('header_tw', '//twitter.com/');
										$linkedIn = get_theme_mod('header_in', '//linkedin.com/');
										$instagram = get_theme_mod('header_insta', '//www.instagram.com/');
									?>
									<?php if($facebook || $twitter || $linkedIn || $instagram ){ ?>

									<div class="header-social-links">
											<?php if(!empty($facebook)){ ?>
												<a href="<?php echo $facebook ?>" target="_blank" title="Facebook"><span class="fa fa-facebook"></span></a>
											<?php }?>
											<?php if(!empty($twitter)){ ?>
												<a href="<?php echo $twitter ?>" target="_blank" title="Twitter"><span class="fa fa-twitter"></span></a>
											<?php }?>
											<?php if(!empty($instagram)){ ?>
												<a href="<?php echo $instagram ?>" target="_blank" title="instagram"><span class="fa fa-instagram"></span></a>
											<?php }?>
											<?php if(!empty($linkedIn)){ ?>
												<a href="<?php echo $linkedIn ?>" target="_blank" title="Linked In"><span class="fa fa-linkedin"></span></a>
											<?php }?>
											<div class="clearfix"></div>
										</div>
								<?php }?>
							</div>
							<div class="col-md-6">
								<?php
									$email = get_theme_mod('headermain_email', 'contact@youremailhere.com');
									$phonetext = get_theme_mod('headermain_phonetext', 'Tollfree Number');
									$phone = get_theme_mod('headermain_phone', '+1800 123 456789');
									
								?>
								<ul class="themetext">
								

									<?php if($email){ ?>
									<li class="header-emailicon mailto"><a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo ($email);?></a></li>
									<?php } ?>
									<?php if($phone){ ?><li class="header-phoneicon"><i class="fa fa-phone" aria-hidden="true"></i><span><?php echo ($phonetext);?></span>  <?php echo ($phone);?></li><?php } ?>
									
								</ul>
							</div>	
							
							<div class="clearfix"></div>

						</div>
						 	<div class="clearfix"></div>
					</div>
				<div class="lower-header">	
					<div class="container">
					<div class="row">
					<div class="header-left col-md-3 col-sm-12 col-xs-12">
							<?php 
							if( get_theme_mod('pages_logoTmargin',true) ) {
				                $pages_logoTmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTmargin')).';';
				            }
				            if( get_theme_mod('pages_logoBmargin',true) ) {
				                $pages_logoBmargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logoBmargin')).';';
				            }
				            if( get_theme_mod('pages_logoLmargin',true) ) {
				                $pages_logoLmargin = 'margin-left:'.esc_attr(get_theme_mod('pages_logoLmargin')).';';
				            }
				            if( get_theme_mod('pages_logoRmargin',true) ) {
				                $pages_logoRmargin = 'margin-right:'.esc_attr(get_theme_mod('pages_logoRmargin')).';';
				            }
	 					?>
						<div class="logobox"  style="<?php echo esc_attr($pages_logoTmargin); ?>" "<?php echo esc_attr($pages_logoBmargin); ?>" "<?php echo esc_attr($pages_logoLmargin); ?>" "<?php echo esc_attr($pages_logoRmargin); ?>">
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
									<!-- <p class="ht-site-description"><a href="<?php //echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php //bloginfo( 'description' ); ?></a></p> -->
								<?php endif; ?>
								<!-- .site-branding -->
								<div class="clearfix"></div>
							</div>
							<div class="clearfix"></div>
					</div>
					<div class="col-md-9 col-sm-12 col-xs-12 padding0 socialalign">
						<div class="header-about-theme">
						<div class="site-navigation ht-main-navigation">
								<div class="hamburger-menus">
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
									<span></span>
								</div>
								<nav class="navigation">
									<div class="overlaybg"></div><!--  /.overlaybg -->
									<!-- Main Menu -->
									<div class="menu-wrapper">
										<div class="menu-content">
											<?php
												if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
													wp_nav_menu ( array(
														'menu_class' => 'mainmenu ht-clearfix',
														'container'=> 'ul',
														'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
														'theme_location' => 'primary',  
													)); 
												} else {
													wp_nav_menu ( array(
														'menu_class' => 'mainmenu ht-clearfix',
														'container'=> 'ul',
														'theme_location' => 'primary',  
													)); 
												}
											?>
										</div> <!-- /.hours-content-->
										
					
						
									

									<div class="clearfix"></div>

									</div><!-- /.menu-wrapper --> 
								</nav>
								<div class="clearfix"></div>
							</div><!--  /.site-navigation -->

							<div class="clearfix"></div>
						</div>
				</div>

				<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
			</div>	
			</div>		
			<div class="clearfix"></div>
		</div>
		
		</header><!-- #masthead -->
		<script>
 jQuery(document).ready(function($){
  $('.fa-search').on('click', function() {
   $('.search-bar').slideToggle();
  });
 });
</script>
	</div>
