<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );


//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'lz_fitness_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'lz_fitness_headerlogo_settings', ' Site Header Logo Margin:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '35px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'lz_fitness_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'luzuk-premium' )
	)
);


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );



//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);
	//ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
	'lz_fitness_sticky_header_enable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_sticky_header_enable',
		array(
			'settings'		=> 'lz_fitness_sticky_header_enable',
			'section'		=> 'header_settings',
			'label'			=> __( 'Sticky Header', 'Luzuk Premium' ),
			'on_off_label' 	=> array(
				'on' => __( 'Enable', 'Luzuk Premium' ),
				'off' => __( 'Disable', 'Luzuk Premium' )
			)	
		)
	)
);



// Adding the Label
lzCustomLable($wp_customize, 'reservation_lblImgTxt', 'header_settings' , 'Social media icons');

// FACEBOOK 
$wp_customize->add_setting('header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_fb',
	array(
		'settings'      => 'header_fb',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'luzuk-premium' )
	)
);
// TWITTER
$wp_customize->add_setting('header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_tw',
	array(
		'settings'      => 'header_tw',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'luzuk-premium' )
	)
);

// Instagram
$wp_customize->add_setting('header_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_insta',
    array(
        'settings'      => 'header_insta',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'gurukul' )
    )
);

// LINKED IN
$wp_customize->add_setting('header_in',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_in',
	array(
		'settings'      => 'header_in',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'luzuk-premium' )
	)
);

//Set header social colour
addColorPalatOption($wp_customize, 'header_socialiconColor', 'header_settings', 'Header Social Color', '#435578');

//Set header social border colour
addColorPalatOption($wp_customize, 'header_socialiconborderColor', 'header_settings', 'Header Social Border Color', '#e4e8eb');

//Set header social hover colour
addColorPalatOption($wp_customize, 'header_socialiconhoverColor', 'header_settings', 'Header Social Hover Color', '#ffc22c');

//Set header social hover bg colour
addColorPalatOption($wp_customize, 'header_socialiconhoverbgColor', 'header_settings', 'Header Social Hover Background Color', '#06154b');


  //header phone icon color
$wp_customize->add_setting(
	'headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'contact@youremailhere.com' )
	)
);
$wp_customize->add_control(
	'headermain_email',
	array(
		'settings'      => 'headermain_email',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Email', 'Luzuk Premium' )
	)
);


// header Email icon color
   addColorPalatOption($wp_customize, 'header_emailiconColor', 'header_settings', 'Header email icon color', '#ffc22c');
// header Email color
   addColorPalatOption($wp_customize, 'header_emailColor', 'header_settings', 'Header email text color', '#4a5366'); 
// header Email hover color
   addColorPalatOption($wp_customize, 'header_emailhoverColor', 'header_settings', 'Header email hover color', '#ffc22c');

$wp_customize->add_setting(
	'headermain_phonetext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Tollfree Number' )
	)
);
$wp_customize->add_control(
	'headermain_phonetext',
	array(
		'settings'      => 'headermain_phonetext',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Text', 'Luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '+1800 123 456789' )
	)
);
$wp_customize->add_control(
	'headermain_phone',
	array(
		'settings'      => 'headermain_phone',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'Luzuk Premium' )
	)
);

 //header phone color
addColorPalatOption($wp_customize, 'header_phoneiconColor', 'header_settings', 'header phone icon color', '#ffc22c'); 
addColorPalatOption($wp_customize, 'header_phonetextColor', 'header_settings', 'header phone number text color', '#495267');
addColorPalatOption($wp_customize, 'header_phoneColor', 'header_settings', 'header phone number color', '#06154b'); 



lzCustomLable($wp_customize, 'header_clrlblImgTxt', 'header_settings', 'Set Header Menu Colors:');

//Menu colors

   //Set header menu colour
addColorPalatOption($wp_customize, 'headermenu_color', 'header_settings', 'Header Menu Color', '#06154b');


addColorPalatOption($wp_customize, 'headerhovermenu_color', 'header_settings', 'Header Menu Hover Color', '#ffc22c');

	//Set Current Menu Text colour
addColorPalatOption($wp_customize, 'headercurrentmenu_color', 'header_settings', 'Header Current Menu Color', '#051549');

addColorPalatOption($wp_customize, 'headercurrentmenuhov_color', 'header_settings', 'Header Current Menu Hover Color', '#000000');

   //Set header menu background colour
addColorPalatOption($wp_customize, 'headercurrentmenuborderbg_color', 'header_settings', 'Header Current Menu Background Color', '#fec22c');

	//Set header sub menu colour
addColorPalatOption($wp_customize, 'headersubmenu_color', 'header_settings', 'Header Dropdown Menu Color', '#06154b');

addColorPalatOption($wp_customize, 'headersubmenuhover_color', 'header_settings', 'Header Dropdown Menu hover Color', '#fec22c');


	//Header Dropdown Background Color
addColorPalatOption($wp_customize, 'headersubmenubg_color', 'header_settings', 'Header Dropdown Background Color', '#fff');

	//Header Dropdown Border Color
addColorPalatOption($wp_customize, 'headersubmenuborder_color', 'header_settings', 'Header Dropdown Border Color', '#06154a');

	//Header Dropdown Border Color
addColorPalatOption($wp_customize, 'headermenuToggleicon_color', 'header_settings', 'Header Toggle Icon Background Color', '#06154a');


lzCustomLable($wp_customize, 'header_clrlblbgTxt', 'header_settings', 'Set Header Background Colors:');

//top header background color
addColorPalatOption($wp_customize, 'header_topheaderColor', 'header_settings', 'Top Header Background color', '#fff');

//top header border color
addColorPalatOption($wp_customize, 'header_topheaderborderColor', 'header_settings', 'Top Header Border color', '#e4e8eb');

// header background color
addColorPalatOption($wp_customize, 'header_navigationbxColor', 'header_settings', ' Header Background color', '#fff');

//responsive header colors

lzCustomLable($wp_customize, 'header_lblbutton1display', 'header_settings', 'Responsive Header Setting:');


addColorPalatOption($wp_customize, 'header_bgsclrfrresponsiveColor', 'header_settings', 'Header background color for tablet and mobile view', '#fff');

addColorPalatOption($wp_customize, 'togglebarctmainborder_color', 'header_settings', 'Select Toggle Bar Background Color for  tablet and mobile view', '#fec22c');

addColorPalatOption($wp_customize, 'togglebarctmabg_color', 'header_settings', 'Toggle Menus Sidebar Background', '#ffffff');

addColorPalatOption($wp_customize, 'togglebarctmabor_color', 'header_settings', 'Toggle Menus Sidebar Border', '#05154a');


addColorPalatOption($wp_customize, 'header_navboxborderresponsiveColor', 'header_settings', 'Header Navigation Border color for tablet and mobile view', '#fec22c');


addColorPalatOption($wp_customize, 'navigationboxbgssresponsive_color', 'header_settings', 'Select Navigation Box Background Color for  tablet and mobile view', '#fff');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#ffc22c');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#031749');
//Inner page title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');
//Inner page background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_bgcolor', 'colors', 'Inner page title background color', '#05154a');

//Inner page content box heading 1 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh1color', 'colors', 'Heading 1 color', '#333333');

//Inner page content box heading 2 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh2color', 'colors', 'Heading 2 color', '#333333');

//Inner page content box heading 3 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh3color', 'colors', 'Heading 3 color', '#333333');

//Inner page content box heading 4 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh4color', 'colors', 'Heading 4 color', '#333333');

//Inner page content box heading 5 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh5color', 'colors', 'Heading 5 color', '#333333');

//Inner page content box heading 6 color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtitleh6color', 'colors', 'Heading 6 color', '#333333');

//Inner page content box text color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxtextcolor', 'colors', 'Inner page content box text color', '#303030');

//Inner page content box list color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistcolor', 'colors', 'Inner page content box list color', '#303030');

//Inner page content box list icon color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlisticoncolor', 'colors', 'Inner page content box list icon color', '#ffc22c');

//Inner page content box list number color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistnumbercolor', 'colors', 'Inner page content box list number color', '#fff');

//Inner page content box list number bg color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlistnumberbgcolor', 'colors', 'Inner page content box list number background color', '#ffc22c');

//Inner page content box links color
addColorPalatOption($wp_customize, 'template_innerpage_contentboxlinkcolor', 'colors', 'Inner page content box links color', '#111e53');

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'unboxthemes' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'lz_fitness_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'unboxthemes' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#ffc22c');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#05154a');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgbordercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#05154a');

// end to show & hide button


//INNER PAGE HEADING FONT SIZE SETTINGS
$wp_customize->add_section(
	'innerheadingfontsize_settings',
	array(
		'title' => __( 'Inner Page Heading Font Size Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'innerheadingfontsize_settings', ' Inner Page Heading Font Size:');


$wp_customize->add_setting(
	'pages_h1font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h1font',
	array(
		'settings'      => 'pages_h1font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h2font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '26px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h2font',
	array(
		'settings'      => 'pages_h2font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h3font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '24px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h3font',
	array(
		'settings'      => 'pages_h3font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h4font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '22px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h4font',
	array(
		'settings'      => 'pages_h4font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'pages_h5font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h5font',
	array(
		'settings'      => 'pages_h5font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_h6font',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_h6font',
	array(
		'settings'      => 'pages_h6font',
		'section'       => 'innerheadingfontsize_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);


//Inner Page Box Padding Setting
$wp_customize->add_section(
	'innerboxpaddiing_settings',
	array(
		'title' => __( 'Inner Page Box Padding Setting', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'innerpagebox_padding', 'innerboxpaddiing_settings', ' Inner Page Box Padding Setting:');

$wp_customize->add_setting(
    'innerpagesbox_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_toppadding',
    array(
        'settings'      => 'innerpagesbox_toppadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'innerpagesbox_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_bottompadding',
    array(
        'settings'      => 'innerpagesbox_bottompadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'innerpagesbox_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_leftpadding',
    array(
        'settings'      => 'innerpagesbox_leftpadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'innerpagesbox_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerpagesbox_rightpadding',
    array(
        'settings'      => 'innerpagesbox_rightpadding',
        'section'       => 'innerboxpaddiing_settings',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);




//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 



//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Post Page Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'lz_fitness_postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'socialpost_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'socialpost_button_display', array( 'label' => 'Post Social Media Display', 'section' => 'lz_fitness_postpagedate_settings', 'settings' => 'socialpost_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Social Media', 'hide' => 'Hide Post Social Media', ), ) ); 

// end to show & hide button


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2019 <strong>Multi Mobile App Pro</strong>  |  Designed by <strong>Company Name</strong>', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'footer_copyrighttext',
	array(
		'settings'      => 'footer_copyrighttext',
		'section'       => 'footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);

backgroundManager($wp_customize, 'footer', 'footer_copyright_settings', $color='#002140');



lzCustomLable($wp_customize, 'footer_padding', 'footer_copyright_settings', ' Section Padding Setting:');

$wp_customize->add_setting(
    'footer_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_toppadding',
    array(
        'settings'      => 'footer_toppadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'footer_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_bottompadding',
    array(
        'settings'      => 'footer_bottompadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'footer_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_leftpadding',
    array(
        'settings'      => 'footer_leftpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'footer_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_rightpadding',
    array(
        'settings'      => 'footer_rightpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);




//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#fff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#ffc22c');

//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#fff');


//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#818699');

addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#818699');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#ffc22c');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Footer Menu Date Color', '#818699');

//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#0e2052');

//theme Footer social bg Color
addColorPalatOption($wp_customize, 'footer_socialbg_color', 'footer_copyright_settings', 'Footer Social Background Color', '#fff');


//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#0e2052');

//theme Footer social bg hover  Color
addColorPalatOption($wp_customize, 'footer_socialbghover_color', 'footer_copyright_settings', 'Footer Social Background hover Color', '#ffc22c');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#818699');

//theme Footer table border Color
addColorPalatOption($wp_customize, 'footer_tableborder_color', 'footer_copyright_settings', 'Footer Table Border Color', '#818699');

addColorPalatOption($wp_customize, 'footer_formlabeltxt_color', 'footer_copyright_settings', 'Footer Form label Text Color', '#818699');

//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#818699');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form Border Color', '#818699');


//theme Footer form button Color
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Color', '#333029');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#ffc22c');

//theme Footer border Color
addColorPalatOption($wp_customize, 'footer_border_color', 'footer_copyright_settings', 'Footer Border Color', '#395771');

//theme Footer Copyright text Color
addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#818699');


//theme Footer Copyright highlight text Color
addColorPalatOption($wp_customize, 'footer_copyrighthighlighttext_color', 'footer_copyright_settings', 'Copyright Footer Highlight Text Color', '#ffc22c');


//theme Footer Copyright bg Color
addColorPalatOption($wp_customize, 'footer_copyrightbg_color', 'footer_copyright_settings', 'Copyright Footer Background Color', '#002140');



//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button


$wp_customize->add_section(
	'innershortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'lz_fitness_servicepageclrdisplay', 'innershortcode_page_settings', 'Set Services Shortcode Page Colors:');

$wp_customize->add_setting('services_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'services_lbl',
        array(
            'settings'      => 'services_lbl',
            'section'       => 'innershortcode_page_settings',
            'label'         => __( 'Note:', 'Luzuk Premium' ),    
            'description'   => __( 'Kindly add same size of services image. Recommended Image height Size: 390px ', 'Luzuk Premium' ),
        )
    )
);


addColorPalatOption($wp_customize, 'innerservicetitleColor', 'innershortcode_page_settings', 'Select Service Title color', '#ffc22c');
addColorPalatOption($wp_customize, 'innerservicetitleiconColor', 'innershortcode_page_settings', 'Select Service Icon color', '#06154b');
addColorPalatOption($wp_customize, 'innerservicetitlebgColor', 'innershortcode_page_settings', 'Select Service Icon Background color', '#ffc22c');

addColorPalatOption($wp_customize, 'innerserviceiconhoverColor', 'innershortcode_page_settings', 'Select Service Icon hover color', '#fff');
addColorPalatOption($wp_customize, 'innerserviceimghoverborderColor', 'innershortcode_page_settings', 'Select Service Image hover border color', '#ffc22c');



lzCustomLable($wp_customize, 'teaminnerpagepageclrdisplay', 'innershortcode_page_settings', 'Set Team Shortcode Page Colors:');


$wp_customize->add_setting('teams_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'teams_lbl',
        array(
            'settings'      => 'teams_lbl',
            'section'       => 'innershortcode_page_settings',
            'label'         => __( 'Note:', 'Luzuk Premium' ),    
            'description'   => __( 'Kindly add same size of team image.', 'Luzuk Premium' ),
        )
    )
);


addColorPalatOption($wp_customize, 'teaminner_imghoverupborderColor', 'innershortcode_page_settings', 'Select Team image Hover upper border color', '#ffc22c');

addColorPalatOption($wp_customize, 'teaminner_imghoverloborderColor', 'innershortcode_page_settings', 'Select Team image Hover lower border color', '#111e53');

addColorPalatOption($wp_customize, 'teaminnermembernametextColor', 'innershortcode_page_settings', 'Select Member Name color', '#ffffff');
addColorPalatOption($wp_customize, 'teaminnermemberdesignationtextColor', 'innershortcode_page_settings', 'Select Member Designation color', '#0e1e51');

addColorPalatOption($wp_customize, 'teaminnersocialColor', 'innershortcode_page_settings', 'Select Team Social color', '#fff');

addColorPalatOption($wp_customize, 'teaminnersocialbgColor', 'innershortcode_page_settings', 'Select Team Social Background color', '#443b40');

addColorPalatOption($wp_customize, 'teaminnersocialhoverColor', 'innershortcode_page_settings', 'Select Team Social Hover color', '#ffc22c');

addColorPalatOption($wp_customize, 'teaminnersocialbghoverColor', 'innershortcode_page_settings', 'Select Team Social Background Hover color', '#fff');



lzCustomLable($wp_customize, 'testimonialinnerpagepageclrdisplay', 'innershortcode_page_settings', 'Set Testimonial Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'testimonialinnerpageimgborderColor', 'innershortcode_page_settings', 'Select Image Border color', '#06154b');
addColorPalatOption($wp_customize, 'testimonialinnerpagetextboxborderColor', 'innershortcode_page_settings', 'Select Text Box Border color', '#06154b');
addColorPalatOption($wp_customize, 'testimonialinnerpagetextboxbgColor', 'innershortcode_page_settings', 'Select Text Box Background color', '#ffc334');
addColorPalatOption($wp_customize, 'testimonialinnerpagetextColor', 'innershortcode_page_settings', 'Select Text color', '#fff');
addColorPalatOption($wp_customize, 'testimonialinnerpageclientnameColor', 'innershortcode_page_settings', 'Select Client Name color', '#ffc334');
addColorPalatOption($wp_customize, 'testimonialinnerpageclientdesgColor', 'innershortcode_page_settings', 'Select Designation color', '#06154b');

addColorPalatOption($wp_customize, 'testimonialinnerpageclientnamehoverColor', 'innershortcode_page_settings', 'Select Client Name Hover color', '#06154b');
addColorPalatOption($wp_customize, 'testimonialinnerpageclientdesghoverColor', 'innershortcode_page_settings', 'Select Designation Hover color', '#ffc334');

addColorPalatOption($wp_customize, 'testimonialinnerpageborderColor', 'innershortcode_page_settings', 'Select Border color', '#06154b');


lzCustomLable($wp_customize, 'galleryinnerpagepageclrdisplay', 'innershortcode_page_settings', 'Set Gallery Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'galleryinnericonColor', 'innershortcode_page_settings', 'Select Gallery Image icon color', '#fff');
addColorPalatOption($wp_customize, 'galleryinnericonborderColor', 'innershortcode_page_settings', 'Select Gallery Image icon border color', '#ffc22c');
addColorPalatOption($wp_customize, 'galleryinnericonhoverColor', 'innershortcode_page_settings', 'Select Gallery Image icon hover color', '#05154a');


lzCustomLable($wp_customize, 'faqinnerpagepageclrdisplay', 'innershortcode_page_settings', 'Set Faq Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'faqinnerpagetitleColor', 'innershortcode_page_settings', 'Select Faq Question color', '#06154b');
addColorPalatOption($wp_customize, 'faqinnerpagetitleboxbgColor', 'innershortcode_page_settings', 'Select Faq Question Box Background color', '#ffc22c');
addColorPalatOption($wp_customize, 'faqinnerpagetitleIconColor', 'innershortcode_page_settings', 'Select Faq Question Icon color', '#ffffff');
addColorPalatOption($wp_customize, 'faqinnerpagetitleIconbgColor', 'innershortcode_page_settings', 'Select Faq Question Icon background color', '#ffc22c');
addColorPalatOption($wp_customize, 'faqinnerpagetitleIconborderColor', 'innershortcode_page_settings', 'Select Faq Question Icon Border color', '#fff');

addColorPalatOption($wp_customize, 'faqinnerpagetextcColor', 'innershortcode_page_settings', 'Select Faq Answer color', '#fff');

addColorPalatOption($wp_customize, 'faqinnerpagetextbgColor', 'innershortcode_page_settings', 'Select Faq Answer Background color', '#06154b');


lzCustomLable($wp_customize, 'popularappinnerpagepageclrdisplay', 'innershortcode_page_settings', 'Set Popular App Shortcode Page Colors:');
// Project image bg color
addColorPalatOption($wp_customize, 'popularappinner_imgbgColor', 'innershortcode_page_settings', 'Project image background color ', '#fff');

// Project image hover overlay color
addColorPalatOption($wp_customize, 'popularappinner_imghoveroverlayColor', 'innershortcode_page_settings', 'Project image hover overlay color ', '#06154b');

// Project box color
addColorPalatOption($wp_customize, 'popularappinner_boxColor', 'innershortcode_page_settings', 'Project box color ', '#ffc22c');

// Project Name color
addColorPalatOption($wp_customize, 'popularappinner_NameColor', 'innershortcode_page_settings', 'Project name color ', '#0e1e52');

// Project Name  hover color
addColorPalatOption($wp_customize, 'popularappinner_NamehoverColor', 'innershortcode_page_settings', 'Project name hover color ', '#fff');


