<?php
/**
 * Createing an Facility pannel for customizer
 *
 */

// START FACILITY SECTION 
    $wp_customize->add_section(
        'premium_facility_section',
        array(
            'title' => __( 'Facility Section', 'luzuk-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'premium_facility_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'premium_facility_section_disable',
            array(
                'settings'      => 'premium_facility_section_disable',
                'section'       => 'premium_facility_section',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );
backgroundManager($wp_customize, 'facility', 'premium_facility_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'facilitysection_padding', 'premium_facility_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'facilitysection_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facilitysection_toppadding',
    array(
        'settings'      => 'facilitysection_toppadding',
        'section'       => 'premium_facility_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'facilitysection_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facilitysection_bottompadding',
    array(
        'settings'      => 'facilitysection_bottompadding',
        'section'       => 'premium_facility_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'facilitysection_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facilitysection_leftpadding',
    array(
        'settings'      => 'facilitysection_leftpadding',
        'section'       => 'premium_facility_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'facilitysection_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'facilitysection_rightpadding',
    array(
        'settings'      => 'facilitysection_rightpadding',
        'section'       => 'premium_facility_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);



$wp_customize->add_setting('facility_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'facility_npp_heading',
        array(
            'settings'      => 'facility_npp_heading',
            'section'       => 'premium_facility_section',
            'label'         => __( 'Number Of Facility Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('facility_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'facility_npp_count',
    array(
        'settings'      => 'facility_npp_count',
        'section'       => 'premium_facility_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'facility_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'facility_header'.$i,
            array(
                'settings'      => 'facility_header'.$i,
                'section'       => 'premium_facility_section',
                'label'         => __( 'Facility Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'facility_page_icon'.$i,
        array(
            'default'           => 'fa fa-gift',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'facility_page_icon'.$i,
            array(
                'settings'      => 'facility_page_icon'.$i,
                'section'       => 'premium_facility_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'facility_page_title_'.$i, 'premium_facility_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='GIVE SCHOLARSHIP');

lzAddElement($wp_customize, 'facility_page_description'.$i, 'premium_facility_section', $type = 'textarea', $label="Title", $callback ='lz_fitness_sanitize_text', $default='There are many variations of passages of Lorem Ipsum');
    
}

     // icon color
    addColorPalatOption($wp_customize, 'facility_iconColor', 'premium_facility_section', 'Icon color', '#3ab37e');

    // icon hover color
    addColorPalatOption($wp_customize, 'facility_iconhoverColor', 'premium_facility_section', 'Icon hover color', '#fff');

    // icon border color
    addColorPalatOption($wp_customize, 'facility_iconborderColor', 'premium_facility_section', 'Icon border color', '#fff');

    // icon bg color
    addColorPalatOption($wp_customize, 'facility_iconbgColor', 'premium_facility_section', 'Icon background color', '#fff');

 // title color
    addColorPalatOption($wp_customize, 'facility_titleColor', 'premium_facility_section', 'Title color', '#fff');

     // title border color
    addColorPalatOption($wp_customize, 'facility_titleborderColor', 'premium_facility_section', 'Title border color', '#fff');

 // description color
    addColorPalatOption($wp_customize, 'facility_descriptionColor', 'premium_facility_section', 'Description color', '#fff');

 // Box bg color
    addColorPalatOption($wp_customize, 'facility_boxbgColor', 'premium_facility_section', 'Box background color', '#3ab37e');

     // Box border color
    addColorPalatOption($wp_customize, 'facility_boxborderColor', 'premium_facility_section', 'Box border color', '#92d4b8');

// End facility section 