<?php
/**
 * Customiser section for featured
 **/
// Start Feature section 
$wp_customize->add_section(
    'premium_featured_product_section',
    array(
        'title' => __( 'Our Popular Apps Section', 'luzuk-premium' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE FEATURED PRODUCT SECTION
$wp_customize->add_setting(
    'premium_featured_product_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'premium_featured_product_section_disable',
        array(
            'settings'      => 'premium_featured_product_section_disable',
            'section'       => 'premium_featured_product_section',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'featuredproduct', 'premium_featured_product_section', $color='#ffffff', get_template_directory_uri().'/images/default-gray.png', 'img');

// section highlight background color
addColorPalatOption($wp_customize, 'featured_product_sechighlightbgColor', 'premium_featured_product_section', 'Section highlight background color ', '#f4f8fb');

lzCustomLable($wp_customize, 'featureprosection_padding', 'premium_featured_product_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'featureprosection_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureprosection_toppadding',
    array(
        'settings'      => 'featureprosection_toppadding',
        'section'       => 'premium_featured_product_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'featureprosection_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureprosection_bottompadding',
    array(
        'settings'      => 'featureprosection_bottompadding',
        'section'       => 'premium_featured_product_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'featureprosection_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureprosection_leftpadding',
    array(
        'settings'      => 'featureprosection_leftpadding',
        'section'       => 'premium_featured_product_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'featureprosection_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featureprosection_rightpadding',
    array(
        'settings'      => 'featureprosection_rightpadding',
        'section'       => 'premium_featured_product_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'featured_product_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'featured_product_title_sub_title_heading',
        array(
            'settings'      => 'featured_product_title_sub_title_heading',
            'section'       => 'premium_featured_product_section',
            'label'         => __( 'Section Title', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting(
    'featured_product_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Our Popular Apps', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'featured_product_title',
    array(
        'settings'      => 'featured_product_title',
        'section'       => 'premium_featured_product_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'featured_product_HeadingColor', 'premium_featured_product_section', 'Heading color ', '#0e2052');

// Heading inner border color
addColorPalatOption($wp_customize, 'featured_product_HeadinginnerborderColor', 'premium_featured_product_section', 'Heading inner border color ', '#003a75');

// Heading outer border color
addColorPalatOption($wp_customize, 'featured_product_HeadingouterborderColor', 'premium_featured_product_section', 'Heading outer border color ', '#ffc22c');

// Product image bg color
addColorPalatOption($wp_customize, 'featured_product_imgbgColor', 'premium_featured_product_section', 'Product image background color ', '#fff');

// Product image hover overlay color
addColorPalatOption($wp_customize, 'featured_product_imghoveroverlayColor', 'premium_featured_product_section', 'Product image hover overlay color ', '#06154b');

// Product box color
addColorPalatOption($wp_customize, 'featured_product_boxColor', 'premium_featured_product_section', 'Product box color ', '#ffc22c');

// Product Name color
addColorPalatOption($wp_customize, 'featured_product_NameColor', 'premium_featured_product_section', 'Product name color ', '#0e1e52');

// Product reguler Price color
addColorPalatOption($wp_customize, 'featured_product_delpriceColor', 'premium_featured_product_section', 'Product reguler price color ', '#000');

// Product Sele Price color
addColorPalatOption($wp_customize, 'featured_product_inspriceColor', 'premium_featured_product_section', 'Product sale price color ', '#000');

// Product Sele Price bg color
addColorPalatOption($wp_customize, 'featured_product_inspricebgColor', 'premium_featured_product_section', 'Product sale price background color ', '#fff9c1');


// Product Name  hover color
addColorPalatOption($wp_customize, 'featured_product_NamehoverColor', 'premium_featured_product_section', 'Product name hover color ', '#fff');

// Product reguler Price hover color
addColorPalatOption($wp_customize, 'featured_product_delpricehoverColor', 'premium_featured_product_section', 'Product reguler price hover color ', '#fff');

// Product Sele Price hover color
addColorPalatOption($wp_customize, 'featured_product_inspricehoverColor', 'premium_featured_product_section', 'Product sale price hover color ', '#fff');

// Product Sele Price bg hover color
addColorPalatOption($wp_customize, 'featured_product_inspricebghoverColor', 'premium_featured_product_section', 'Product sale price background hover color ', '#808fb9');

// slider arrow color
addColorPalatOption($wp_customize, 'featured_product_sliderColor', 'premium_featured_product_section', 'Slider arrow color ', '#000');

// slider arrow border color
addColorPalatOption($wp_customize, 'featured_product_sliderarrowborderColor', 'premium_featured_product_section', 'Slider arrow border color ', '#000');

// slider arrow hover color
addColorPalatOption($wp_customize, 'featured_product_sliderhoverColor', 'premium_featured_product_section', 'Slider arrow hover color ', '#ffc22c');

// slider arrow border hover color
addColorPalatOption($wp_customize, 'featured_product_sliderarrowborderhoverColor', 'premium_featured_product_section', 'Slider arrow border hover color ', '#ffc22c');
