<?php 

// popularapp SECTION START HERE 
/*============popularapp SECTION PANEL============*/
$wp_customize->add_section(
    'ct_popularapp_section',
    array(
        'title'         => __( 'Popular Apps Section', 'Luzuk Premium' ),
        'panel'   => 'lz_fitness_premium_home_panel',
    )
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
    'popularapp_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'popularapp_section_disable',
        array(
            'settings'      => 'popularapp_section_disable',
            'section'       => 'ct_popularapp_section',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        )
    )
);
backgroundManager($wp_customize, 'popularapp', 'ct_popularapp_section', $color='#ffffff', get_template_directory_uri().'/images/default-gray.png', 'img');

// section highlight background color
addColorPalatOption($wp_customize, 'popularapp_sechighlightbgColor', 'ct_popularapp_section', 'Section highlight background color ', '#f4f8fb');

lzCustomLable($wp_customize, 'popularappsection_padding', 'ct_popularapp_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'popularappsection_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popularappsection_toppadding',
    array(
        'settings'      => 'popularappsection_toppadding',
        'section'       => 'ct_popularapp_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'popularappsection_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popularappsection_bottompadding',
    array(
        'settings'      => 'popularappsection_bottompadding',
        'section'       => 'ct_popularapp_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'popularappsection_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popularappsection_leftpadding',
    array(
        'settings'      => 'popularappsection_leftpadding',
        'section'       => 'ct_popularapp_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'popularappsection_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'popularappsection_rightpadding',
    array(
        'settings'      => 'popularappsection_rightpadding',
        'section'       => 'ct_popularapp_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);



$wp_customize->add_setting(
    'ct_popularapp_title_subtitle_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'ct_popularapp_title_subtitle_heading',
        array(
            'settings'      => 'ct_popularapp_title_subtitle_heading',
            'section'       => 'ct_popularapp_section',
            'label'         => __( 'Section Heading', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'popularapp_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Our Popular Apps', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'popularapp_title',
    array(
        'settings'      => 'popularapp_title',
        'section'       => 'ct_popularapp_section', 
        'type'          => 'text',
        'label'         => __( 'Heading', 'Luzuk Premium' )
    )
);


addColorPalatOption($wp_customize, 'popularapp_HeadingColor', 'ct_popularapp_section', 'Select Section Title color', '#111e53');

addColorPalatOption($wp_customize, 'popularapp_HeadinginnerborderColor', 'ct_popularapp_section', 'Select Section Title Border color', '#ffe5a5');

addColorPalatOption($wp_customize, 'popularapp_HeadingouterborderColor', 'ct_popularapp_section', 'Select Section Title Border Bar color', '#fec22c');


/*for note text*/
$wp_customize->add_setting('lz_CT_popularapp_sectionnoteser_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_CT_popularapp_sectionnoteser_lbl',
        array(
            'settings'      => 'lz_CT_popularapp_sectionnoteser_lbl',
            'section'       => 'ct_popularapp_section',
            'label'         => __( 'Note:', 'Luzuk Premium' ),    
            'description'   => __( 'Just place the shortcode "[POPULARAPP]" in your page to Show all popular apps in a page', 'Luzuk Premium' ),
        )
    )
);
/*for note text*/

/*for note text*/
$wp_customize->add_setting('lz_popularapp_secnimgnote_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_popularapp_secnimgnote_lbl',
        array(
            'settings'      => 'lz_popularapp_secnimgnote_lbl',
            'section'       => 'ct_popularapp_section',
            'label'         => __( 'Note:', 'Luzuk Premium' ),    
            'description'   => __( 'Kindly add same size of popular apps images.', 'Luzuk Premium' ),
        )
    )
);
/*for note text*/


$wp_customize->add_setting('ct_popularapp_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'ct_popularapp_npp_heading',
        array(
            'settings'      => 'ct_popularapp_npp_heading',
            'section'       => 'ct_popularapp_section',
            'label'         => __( 'Set number of popular app to show', 'Luzuk Premium' ),
        )
    )
);    
$wp_customize->add_setting('popularapp_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
    'popularapp_npp_count',
    array(
        'settings'      => 'popularapp_npp_count',
        'section'       => 'ct_popularapp_section',
        'type'          => 'select',
        'label'         => __( 'Number of popular apps to show', 'Luzuk Premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

// popularapp PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'ct_popularapp_heading'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'ct_popularapp_heading'.$i,
            array(
                'settings'      => 'ct_popularapp_heading'.$i,
                'section'       => 'ct_popularapp_section',
                'label'         => __( 'Our Popular App', 'Luzuk Premium' ).$i,
            )
        )
    );
    if(is_array($popularappSingleChoice)){
        $wp_customize->add_setting(
            'popularapp_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'popularapp_page'.$i,
            array(
                'settings'      => 'popularapp_page'.$i,
                'section'       => 'ct_popularapp_section',
                'type'=> 'select',
                'label'         => __( 'Select A Popular App', 'Luzuk Premium' ),
                'choices' => $popularappSingleChoice,
            )
        );

    }else{
        $wp_customize->add_setting('ct_popularapp_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
        $wp_customize->add_control(
            new lz_fitness_Info_Text( 
                $wp_customize,
                'ct_popularapp_section_lbl'.$i,
                array(
                    'settings'      => 'ct_popularapp_section_lbl'.$i,
                    'section'       => 'ct_popularapp_section',
                    'label'         => __( 'Note:', 'Luzuk Premium' ),  
                    'description'   => __( '<strong>Changes will not reflect unless you select the popularapp.</strong> <br/>Please add the popularapp from "popularapps menu" and then select popularapp to show.', 'Luzuk Premium' ),
                )
            )
        );
    }

}

// Project image bg color
addColorPalatOption($wp_customize, 'popularapp_imgbgColor', 'ct_popularapp_section', 'Project image background color ', '#fff');

// Project image hover overlay color
addColorPalatOption($wp_customize, 'popularapp_imghoveroverlayColor', 'ct_popularapp_section', 'Project image hover overlay color ', '#06154b');

// Project box color
addColorPalatOption($wp_customize, 'popularapp_boxColor', 'ct_popularapp_section', 'Project box color ', '#ffc22c');

// Project Name color
addColorPalatOption($wp_customize, 'popularapp_NameColor', 'ct_popularapp_section', 'Project name color ', '#0e1e52');

// Project Name  hover color
addColorPalatOption($wp_customize, 'popularapp_NamehoverColor', 'ct_popularapp_section', 'Project name hover color ', '#fff');


// slider arrow color
addColorPalatOption($wp_customize, 'popularapp_sliderColor', 'ct_popularapp_section', 'Slider arrow color ', '#000');

// slider arrow border color
addColorPalatOption($wp_customize, 'popularapp_sliderarrowborderColor', 'ct_popularapp_section', 'Slider arrow border color ', '#000');

// slider arrow hover color
addColorPalatOption($wp_customize, 'popularapp_sliderhoverColor', 'ct_popularapp_section', 'Slider arrow hover color ', '#ffc22c');

// slider arrow border hover color
addColorPalatOption($wp_customize, 'popularapp_sliderarrowborderhoverColor', 'ct_popularapp_section', 'Slider arrow border hover color ', '#ffc22c');


