<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'luzuk-premium' ),
				'off' => __( 'Yes', 'luzuk-premium' )
			),
		)
	)
);

$wp_customize->add_setting('lz_fitness_premium_slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_premium_slider_section_lbl',
		array(
			'settings'		=> 'lz_fitness_premium_slider_section_lbl',
			'section'		=> 'premium_slider_section',
			'label'			=> __( 'Note:', 'luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 1900X600', 'luzuk-premium' ),
		)
	)
);

backgroundManager($wp_customize, 'slider', 'premium_slider_section', $color='#fff', get_template_directory_uri().'/images/slider.jpg', 'color');

// Slider overlay color
addColorPalatOption($wp_customize, 'slider_overlayColor', 'premium_slider_section', 'Slider Overlay Color', '#023375');

// Slider overlay color
addColorPalatOption($wp_customize, 'slideroverlayresp_Color', 'premium_slider_section', 'Slider Overlay Color for Mobile View', '#023375');

// Slider Sub Title color
addColorPalatOption($wp_customize, 'slider_subTitleColor', 'premium_slider_section', 'Slider Sub Title Color', '#64fbf6');

// Slider Title color
addColorPalatOption($wp_customize, 'slider_TitleColor', 'premium_slider_section', 'Slider Title Color', '#fff');

// Slider Title highlight color
addColorPalatOption($wp_customize, 'slider_highlightTitleColor', 'premium_slider_section', 'Slider Title Highlight Color', '#ffc12c');

// Slider text color
addColorPalatOption($wp_customize, 'slider_textColor', 'premium_slider_section', 'Slider Text Color', '#fff');


// Slider Button icon color
addColorPalatOption($wp_customize, 'slider_buttoniconColor', 'premium_slider_section', 'Slider Button Icon Color', '#fff');

// Slider Button icon bg color
addColorPalatOption($wp_customize, 'slider_buttoniconbgColor', 'premium_slider_section', 'Slider Button Icon Background Color', '#ffc22c');

// Slider Button icon hover color
addColorPalatOption($wp_customize, 'slider_buttoniconhoverColor', 'premium_slider_section', 'Slider Button Icon Hover Color', '#fff');


// Slider Button icon hover border color
addColorPalatOption($wp_customize, 'slider_buttoniconhoverborderColor', 'premium_slider_section', 'Slider Button Icon Hover Border Color', '#fff');


// Slider Button Text color
addColorPalatOption($wp_customize, 'slider_buttontextColor', 'premium_slider_section', 'Slider Button Text Color', '#fff');

// Slider Button Text hover color
addColorPalatOption($wp_customize, 'slider_buttontexthoverColor', 'premium_slider_section', 'Slider Button Text Hover Color', '#64fbf6');
